// Подключаем библиотеку для работы с Motor Shield

#include <AFMotor.h>

// Определяем левый мотор на клемник номер 2

AF_DCMotor l_motor(2);

// Определяем правый мотор на клемник номер 3

AF_DCMotor r_motor(3);

//Переменные для определения скорости 
// и времени движения

int spd = 50;
int time(1000);


void setup()
{
  //Задаем начальную скорость и выключаем моторы
  
  l_motor.setSpeed(spd);
  l_motor.run(RELEASE);

  r_motor.setSpeed(100);
  r_motor. run(RELEASE);
}

void loop() 
{
  // Едем вперед
  
  l_motor.run(FORWARD);
  r_motor.run(FORWARD);
  l_motor.setSpeed(spd);  
  r_motor.setSpeed(spd);
  delay(time);
 
  // Едем назад
 
  l_motor.run(BACKWARD);
  r_motor.run(BACKWARD);
  l_motor.setSpeed(spd);  
  r_motor.setSpeed(spd);
  delay(time);

  // Крутипся против часовой стрелки

  l_motor.run(FORWARD);
  r_motor.run(BACKWARD);
  l_motor.setSpeed(spd);  
  r_motor.setSpeed(spd);
  delay(time);

  // Крутимся по часовой стрелке

  r_motor.run(FORWARD);
  l_motor.run(BACKWARD);
  l_motor.setSpeed(spd);  
  r_motor.setSpeed(spd);
  delay(time);
}
